%define debug_package %{nil}

%define name libfixbuf
%define version 1.7.0
%define release 1

Summary: fixbuf IPFIX implementation library
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Group: NetSA
License: LGPL
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
Packager: Tony Cebzanov <tonyc@cert.org>
Vendor: http://tools.netsa.cert.org/
URL: http://tools.netsa.cert.org/
Provides: libfixbuf
Provides: libfixbuf.so
Requires: glib2 >= 2.4.7
%if "x" == "x1"
Requires: libsctp
%endif
%if "x" == "x1"
Requires: libspread
%endif
BuildRequires: glib2-devel >= 2.4.7
BuildRequires: pkgconfig >= 0.8
%if "x" == "x1"
BuildRequires: libsctp-devel
%endif
%if "x" == "x1"
BuildRequires: libspread-devel
%endif


%description 
libfixbuf aims to be a compliant implementation of the IPFIX Protocol
and message format, from which IPFIX Collecting Processes and
IPFIX Exporting Processes may be built. 

%package devel
Summary: Static libraries and C header files for libfixbuf
Group: Development/NetSA
Provides: libfixbuf-devel
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.8

%description devel
Static libraries and C header files for libfixbuf.

%prep
%setup -q -n %{name}-%{version}

%build
%configure #--without-spread
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%doc doc/html
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Jul  1 2015 Lawrence Rogers <lrr@cert.org> 1.7.0-1
* Release 1.7.0-1
	Update IPFIX Information Elements to be compatible with IANA registry
	Add recursive freeing function fBufListFree() to free structured data elements
	Ignore extra filling bytes in sFlow records
	Bug Fix for NetFlow v9 Options Template Parsing
	Other Bug Fixes

* Wed Dec  3 2014 Lawrence Rogers <lrr@cert.org> 1.6.2-1
* Release 1.6.2-1
	Bug Fix for NetFlow v9 collectors with multiple streams
	Other Bug Fixes

* Tue Oct 15 2014 Lawrence Rogers <lrr@cert.org> 1.6.1-1
* Release 1.6.1-1
	Bug Fix for UDP connections that timeout frequently

* Mon Sep 29 2014 Lawrence Rogers <lrr@cert.org> 1.6.0-1
* Release 1.6.0-1
	New Support for sFlow
	Added support for decoding basicLists with unknown information elements
	New Template Callback Function
	Updated IPFIX Information Elements to be compatible with IANA registry

* Wed Jun 18 2014 Lawrence Rogers <lrr@cert.org> 1.5.0-1
* Release 1.5.0-1
	Updated IPFIX Information Elements to be compatible with IANA registry
	Added the ability to decode IPFIX from application's own data buffer
	Replaced select() with poll() for fbListeners. Applications will now bind to all addresses returned by getaddrinfo
	Added an InfoModel Iterator
	Removed fbListenerGroupWaitAcceptCallback() API function
	Removed fbListenerWaitAcceptCallback() API function
	Renamed IPFIX Structured Data Type Semantic #defines
	Bug Fix for NetFlow v9 Options Templates
	Other Bug Fixes

* Mon Dec 02 2013 Lawrence Rogers <lrr@cert.org> 1.4.0-1
* Release 1.4.0-1
	pyfixbuf, a python API for libfixbuf, is included as a separate package within the tarball (optional install)
	UDP IPFIX Listeners now reject IPFIX messages with invalid version numbers
	Added Environment Variable, FB_SUPPRESS_LOGS, to suppress NetFlow v9 log messages
	NetFlow v9 Options Templates and Records are now collected and translated to IPFIX.
	An fbInfoElement_st now contains all of the properties listed in RFC 5610.
	Added a macro, FB_IE_INIT_FULL, to define an Information Element with additional properties
	New API functions to create Options Templates/Records for encoding Information Element type information.
	New API functions to collect Information Element type records.
	New Template Callback for application to provide context to an incoming Template.
	IPFIX Elements updated to be compatible with IANA registry.
	NetFlow v9 compatible elements added to default Information Model.

* Fri Mar 8 2013 Lawrence Rogers <lrr@cert.org> 1.3.0-1
* Release 1.3.0-1
	Maintain count of missed NetFlow v9 export packets per session
	Added API function fbCollectorGetNetflowMissed to retrieve missed packet count
	IPFIX elements updated
	Spread Disconnect Bug fix

* Fri Sep 14 2012 Lawrence Rogers <lrr@cert.org> 1.2.0-1
* Release 1.2.0-1
	UDP Collection Enhancements
	Manage UDP sessions by peer address and observation domain

* Thu Jun 7 2012 Lawrence Rogers <lrr@cert.org> 1.1.2-1
* Release 1.1.2-1
	Bug fixes
	NetFlow v9 bug fixes

* Thu Dec 22 2011 Lawrence Rogers <lrr@cert.org> 1.1.1-1
* Release 1.1.1-1
	Bug fixes

* Mon Sep 12 2011 Lawrence Rogers <lrr@cert.org> 1.0.2-1
* Release 1.0.1-1
	Bug fixes

* Wed Jun 1 2011 Lawrence Rogers <lrr@cert.org> 1.0.1-1
* Release 1.0.1-1
	Fix to maintain compatibility with GLib prior to version 2.10

* Thu Apr 28 2011 Lawrence Rogers <lrr@cert.org> 1.0.0-1
* Release 1.0.0-1
	Added functionality to adhere to the proposed IPFIX extension: "Export of Structured Data in IPFIX". This proposed standard
		allows for the following three new data types.
	Added new data type: fbBasicList_t to house fixbuf "basicLists."
	Added new data type: fbSubTemplateList_t to house fixbuf "subTemplateLists."
	Added new data type: fbSubTemplateMultiList_t to house fixbuf "subTemplateMultiLists."
	Added the functionality to handle multiple listeners, allowing for connections on multiple ports.
	Support for Netflow V9.
	Spread support has been expanded to allow for greater flexibility in using one exporter to publish to multiple groups.
	Templates are now managed on a per-group basis for a Spread exporter.
	Templates can now be multicasted to select Spread groups.
	Default Automatic Mode for Listeners is now set to true.
	Many other bug fixes.

* Wed Jul 27 2010 Lawrence Rogers <lrr@cert.org> 0.9.0-1
* Release 0.9.0-1
	Added support for Spread Toolkit to allow publish subscribe distribution of YAF sensor output.
